## org.gnome.evolution.dataserver.Source org.gnome.evolution.dataserver.Source — Data source |

## Methods

    AllowAuthPrompt ();

## Properties

    UID   readable   s
    Data  readable   s

## Description

This interface is used to represent data sources.

## Method Details

### The AllowAuthPrompt() method

    AllowAuthPrompt ();

If the user declines to provide a secret when prompted, further authentication prompts are inhibited until this method is called.

## Property Details

### The "UID" property

    UID  readable   s

The unique identifier for the source.

### The "Data" property

    Data  readable   s

Raw key file data describing the source.